For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate a pronunciation dictionary from a file
      • POSTCreate a pronunciation dictionary from rules
      • GETGet pronunciation dictionary
      • PATCHUpdate Pronunciation Dictionary
      • GETGet pronunciation dictionary by version
      • GETList pronunciation dictionaries
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIPronunciation Dictionaries

Get pronunciation dictionary

GET
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id
GET
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id
$curl https://api.elevenlabs.io/v1/pronunciation-dictionaries/pronunciation_dictionary_id
1{
2 "id": "5xM3yVvZQKV0EfqQpLrJ",
3 "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
4 "latest_version_rules_num": 2,
5 "name": "My Dictionary",
6 "permission_on_resource": "admin",
7 "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
8 "creation_time_unix": 1714156800,
9 "rules": [
10 {
11 "string_to_replace": "Thailand",
12 "type": "alias",
13 "alias": "tie-land"
14 },
15 {
16 "string_to_replace": "Tomato",
17 "type": "phoneme",
18 "phoneme": "/təˈmeɪtoʊ/",
19 "alphabet": "ipa"
20 }
21 ],
22 "description": "This is a test dictionary"
23}
Get metadata for a pronunciation dictionary
Was this page helpful?
Previous

Update Pronunciation Dictionary

Next
Built with

Path parameters

pronunciation_dictionary_idstringRequired
The id of the pronunciation dictionary

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
The ID of the pronunciation dictionary.
latest_version_idstring
The ID of the latest version of the pronunciation dictionary.
latest_version_rules_numinteger
The number of rules in the latest version of the pronunciation dictionary.
namestring
The name of the pronunciation dictionary.
permission_on_resourceenum or null
The permission on the resource of the pronunciation dictionary.
Allowed values:
created_bystring
The user ID of the creator of the pronunciation dictionary.
creation_time_unixinteger
The creation time of the pronunciation dictionary in Unix timestamp.
ruleslist of objects
The rules in the latest version of the pronunciation dictionary.
archived_time_unixinteger or null
The archive time of the pronunciation dictionary in Unix timestamp.
descriptionstring or null
The description of the pronunciation dictionary.

Errors

422
Unprocessable Entity Error